Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#1 Le 16/06/2013, à 17:22

Domeee

Xcas sur Lubuntu 13.04

Bonjour,
j'ai essayé d'installer Xcas sur ma machine nouvellement équipée de Lubuntu 13.04
J'ai testé les deux méthodes possibles : le paquet .deb, et le ppa.
Dans les 2 cas, je suis tombé sur le message suivant : erreur, la dépendance ne peut être satisfaite : libgmp3c2
Donc pas d'install possible.
J'ajoute que dans le cas de l'installation via le ppa, la commande concernant la clé ne marche pas non plus :
sudo apt-key add xcas_public_key.gpg
mais apparemment, ce n'est pas ça qui bloque le chargement et l'installation, c'est la librairie libgmp.
Dans synaptic, il existe des libgmp*, mais pas la 3c2
Qq'un est tombé sur le même pb ?
PS: j'avais installé Xcas il y a moins de 6 mois sur la version 11.10, ce fut totalement transparent (en .deb) et ça marchait.

Hors ligne

#2 Le 16/06/2013, à 19:42

TheLiar

Re : Xcas sur Lubuntu 13.04

Bonsoir,
J'ai eu le même problème de dépendances. Il me semble avoir été résolu en utilisant le dépôt suivant:

deb http://www-fourier.ujf-grenoble.fr/~parisse/debian/ testing main

puis en important la clé gpg.
Bonne chance.

Hors ligne

#3 Le 16/06/2013, à 20:58

Domeee

Re : Xcas sur Lubuntu 13.04

Bonsoir,
merci de l'info. J'avais testé les deux dépôts (le stable et le testing) sans succès, je vais quand même réessayer celui çi…

[Edit] Super, ça marche.
Pour ajouter les dépôts, je suis passé par l'interface graphique "logiciels et mises à jour". Il faut décocher la ligne qui indique les "sources", et qui donne une erreur 404 quand on fait le sudo apt-get update : c'est ça qui ne marchait pas.
Pour la clé, j'avais bien chargé la clé mais je ne l'avais pas importée (onglet "authentification")
Et donc, ça a chargé.A noter que le fameux paquet qui posait pb est chargé sans vérification (on doit valider)
Xcas marche !
Merci
Domeee

Dernière modification par Domeee (Le 16/06/2013, à 21:44)

Hors ligne

#4 Le 07/09/2013, à 16:19

Tombétoile

Re : Xcas sur Lubuntu 13.04

Bonjour,

J'essaye également d'installer Xcas (pour "faire de la Physique", à défaut de me procurer Maple), mais sans aucun succès. J'en suis toujours au point zéro.

En tapant la ligne de commande (suggérée sur le site : http://www-fourier.ujf-grenoble.fr/~parisse/install_fr)
deb http://www-fourier.ujf-grenoble.fr/~parisse/debian/ stable main
le terminal répond : Commande 'deb' non trouvée, vouliez-vous dire :
puis il me suggère diverses commandes : derb, xdeb, etc

Qu'est-ce que je n'ai pas fait correctement?

Il est d'ailleurs stipulé sur le site de Xcas qu'il faut rajouter le deb http://... dans le fichier /etc/apt/sources.list
mais je ne vois pas trop comment faire.

Merci d'avance pour l'aide. smile

Hors ligne

#5 Le 07/09/2013, à 16:53

pires57

Re : Xcas sur Lubuntu 13.04

salut

http://www-fourier.ujf-grenoble.fr/~parisse/install_en#packages a écrit :

Add the line
deb http://www-fourier.ujf-grenoble.fr/~parisse/debian/ stable main
in the file /etc/apt/sources.list. Then run
sudo apt-get update
Now you can install or upgrade by running
sudo apt-get install giac python-giacpy
(python-giacpy is optionnal, it's for Python programmers support). If you do not want to get warning messages about invalid/unknown key, download the Xcas public GPG key and run the following command in a terminal from the directory where you stored the key
sudo apt-key add xcas_public_key.gpg
This must unfortunately be done until giac/xcas is included in debian, ubuntu, etc. distributions (awaiting this for debian since about 10 years now:-().
If you want to test the latest version, use the following line instead
deb http://www-fourier.ujf-grenoble.fr/~parisse/debian/ testing main
If it does not work, try to install one or more packages as explained below.
all in one package (i386, 1.1.0) HTTP
all in one package (x64, 1.1.0) HTTP
To install type
sudo dpkg -i *giac*.deb
If dpkg complains about missing packages, check the package names and issue an apt-get command like
sudo apt-get install libstdc++5
If you have an error reporting that libreadline.so.5 is missing, install it (sudo apt-get install readline5) or if readline is already installed (e.g. version 6), type the commands
cd /usr/lib; sudo ln -s libreadline.so.6 libreadline.so.5 ; sudo ldconfig
Carlos Enriqe Carleos Artime made the first giac packages.

@tombétoile: on ne te demande pas de taper la ligne dans le terminal mais de l'ajouter dans ton sources.list
pour éditer sources.list:

 gksudo gedit /etc/apt/sources.list

fait attention à ne pas faire d'erreur en modifiant

Dernière modification par pires57 (Le 07/09/2013, à 16:56)


Utilisateur d'Archlinux, Ubuntu et Kali Linux
Administrateur système et réseau spécialisé Linux.

Hors ligne

#6 Le 08/09/2013, à 14:53

Domeee

Re : Xcas sur Lubuntu 13.04

@ pires57 : y'a le même en français big_smile
@ Tombetoile : je viens de refaire la manip sur un système Lubuntu 13.04, ci-dessous le pas à pas en mode graphique, avec synaptic.
Tu ne précises pas ton système ni sa version : mon post d'origine faisait état de pb avec une version 13.04 (moi j'ai Lubuntu mais je suppose que ça faisait pareil avec les autres *buntu)
Si tu as une version plus ancienne, ça devrait marcher avec le dépôt "stable"
Je n'ai eu aucun souci avec la manip décrite :
Menu principal : Outils système -> gestionnaire de paquets synaptic
Dans Synaptic : menu Configuration -> dépots
cliquer sur l'onglet "autres logiciels", et sur le bouton "ajouter" en bas à droite
Ajouter la ligne de dépôt copiée depuis le site xcas, celle préconisée pour une version de test et qui finit par "testing main" et cliquer sur le bouton "ajouter une source de mise à jour"
La version "stable" ne marche justement pas avec la version 13.04
Ne pas cocher (ou décocher) la ligne finissant par (code source)
Fermer la fenêtre
Dans Synaptic, cliquer sur le bouton "recharger"
Puis, cliquer sur le bouton "rechercher" et taper "giac"
giac apparaît dans la fenêtre de synaptic, le sélectionner pour installation et cliquer sur le bouton "appliquer". Cliquer ok sur les fenêtres suivantes.
Normalement, tout s'installe sans pb et xcas est dispo dans le menu à la rubrique "éducation"

Tu peux choisir "Maple" directement au 1er démarrage de xcas.

Et voilà !

Dernière modification par Domeee (Le 08/09/2013, à 14:56)

Hors ligne

#7 Le 09/09/2013, à 11:57

pires57

Re : Xcas sur Lubuntu 13.04

c'est possible, je sais pas. Je ne prend que de la doc en anglais, elle est généralement bien meilleur qu'en français


Utilisateur d'Archlinux, Ubuntu et Kali Linux
Administrateur système et réseau spécialisé Linux.

Hors ligne

#8 Le 09/09/2013, à 16:32

Domeee

Re : Xcas sur Lubuntu 13.04

C'est vrai pour des développements anglo-saxons qui sont (souvent mal) traduits en français.
Mais là, ne boudons pas notre plaisir, l'équipe de développement est à Grenoble : si la doc en français est mauvaise, c'est grave big_smile
PS : le lien de Tombétoile te mène sur le site .fr => tu as la même chose que ton encadré mais en français

Hors ligne

#9 Le 10/09/2013, à 05:51

Tombétoile

Re : Xcas sur Lubuntu 13.04

Houla ! Il y a eu beaucoup de messages depuis ma dernière connexion. Je vais m'atteler à leur lecture et tenter de suivre les conseils que vous m'avez donné.
Merci. smile

Hors ligne

#10 Le 10/09/2013, à 06:08

Tombétoile

Re : Xcas sur Lubuntu 13.04

Super ! Ca fonctionne. Je suis passé par Synaptics (je ne savais plus ce que c'était, d'ailleurs...). Mais, Xcas est bel et bien installé.
Merci beaucoup pour vos messages!!

Hors ligne

#11 Le 10/09/2013, à 15:55

pires57

Re : Xcas sur Lubuntu 13.04

bin a vrai dire je n'en ai pas trop besoin, moi je l'avais installer mais sur Arch donc pas avec les packages en .deb


Utilisateur d'Archlinux, Ubuntu et Kali Linux
Administrateur système et réseau spécialisé Linux.

Hors ligne

Haut de page ↑